@base-color: #EEE9E9;
@base-size: 100%;
.size(@width, @height){
  width: @width;
  height: @height;
}
.animate(@animate-name, @animate-duration:2s, @animate-count:infinite, @animate-direction:alternate){
  animation: @animate-name @animate-duration @animate-count @animate-direction;
}
.flex-align(@display: flex, @align: center){
  display: flex;
  align-items: center;
}
.position-align{
}
.es-slider {
  .flex-align;
  list-style: none;
  flex-wrap: nowrap;
  width: @base-size;
  height: auto;
  overflow: hidden;
  &__item {
    min-width: @base-size;
    max-width: @base-size;
    >* {
      max-width: @base-size;
      margin: 0 auto;
    }
  }
}
.nowrap-slider-container{
  position: relative;

}
.nav-slider{
  .flex-align;
  justify-content: space-between;
  position: absolute;
  box-sizing: border-box;
  top: 0;
  height: @base-size;
}
.react-switch{
  .animate(hover-left-right, 0.7s, 1, normal);
  transition: animation 500ms;
  width: @base-size;
  left: 0;
  
  #svg-cursor{
    stroke: @base-color;
  }
}
.nav-slider__button{
  .size(50px, 50px);
  &:hover{
    .animate(go-left-right);
    cursor: pointer;
    #svg-cursor{
      .animate(hover-color);
    }
  }
  &:active{
    animation: none;
    #svg-cursor{
      animation: none;
      stroke: @base-color;
    }
  }
}
.nav-slider__button_prev{
  transform: rotate(-90deg);
}
.nav-slider__button_next {
  transform: rotate(90deg);
}
.dots-slider{
  display: inline-flex;
  position: absolute;
  width: @base-size/4;
  margin-left: 72%;
  box-sizing: border-box;
  bottom: 35px;
  &__item{
    .size(15px, 15px);
    background-color: @base-color;
    color: transparent;
    border-radius: 25px;
    margin: 0 auto;
    &:hover{
      background-color: #CDC9C9;
      transition: 200ms;
      .animate(go-left-right);
    }
    &:active{
      background-color: #383838;
      transition: 200ms;
    }
  }
  .active{
    background-color: #383838;
  }
}
#svg-cursor{
  stroke-width:4;
  fill: none;
  stroke-linejoin: round;
}

@keyframes go-left-right {
  5%{
    opacity: 1;
  }
  25%{
    opacity: 0.7;
  }
  50%{
    opacity: 0.35;
  }
  75%{
    opacity: 0.7;
  }
  100%{
    opacity: 1;
  }
}
@keyframes hover-color {
  5%{
    stroke: #FFFAFA;
  }
  25%{
    stroke: #EEE9E9;
  }
  50%{
    stroke: #CDC9C9;
  }
  75%{
    stroke: #EEE9E9;
  }
  100%{
    stroke: #FFFAFA;
  }
}
@keyframes hover-left-right {
  to{
    width: 100%;
    left: 0;
  }
  from{
    width: 140%;
    left: -20%;
  }
}
